<testsuites>
  <!--Report is generated by Rally 3.0.1~dev14 at 2020-04-28T00:45:39.873417-->
  <testsuite errors="0" failures="0" id="1492b2a4-0b33-47da-bba0-610e7063409b" skipped="0" tests="6" time="27.00" timestamp="2020-04-28T00:30:56">
    <testcase classname="Authenticate" id="4b4ead1d-156b-4adb-8b45-a8fd04bd7e9c" name="keystone" time="2.65" timestamp="2020-04-28T00:30:59" />
    <testcase classname="Authenticate" id="8cec9e71-b2fe-450f-970d-efd171472a7a" name="validate_cinder" time="2.93" timestamp="2020-04-28T00:31:03" />
    <testcase classname="Authenticate" id="c48a5382-af7e-4f50-85c3-8b20f9b7199b" name="validate_glance" time="2.90" timestamp="2020-04-28T00:31:07" />
    <testcase classname="Authenticate" id="4383f7ab-0450-4e8d-b0bf-38333c14c3c1" name="validate_heat" time="2.64" timestamp="2020-04-28T00:31:11" />
    <testcase classname="Authenticate" id="17f1b256-f0a0-41df-a07d-4d96bd62dc87" name="validate_neutron" time="3.10" timestamp="2020-04-28T00:31:15" />
    <testcase classname="Authenticate" id="c8c4444c-132b-47b4-ac78-ec8f1fdca103" name="validate_nova" time="2.72" timestamp="2020-04-28T00:31:19" />
  </testsuite>
  <testsuite errors="0" failures="0" id="bad9a369-79a2-4c3d-b52e-1e7b4e068c63" skipped="0" tests="4" time="46.00" timestamp="2020-04-28T00:31:32">
    <testcase classname="GlanceImages" id="9a3b6927-e212-440e-a4f4-f4697daafe0b" name="create_and_delete_image" time="5.65" timestamp="2020-04-28T00:31:35" />
    <testcase classname="GlanceImages" id="d452887d-dac4-4447-908a-0a1244a2301a" name="create_and_list_image" time="7.13" timestamp="2020-04-28T00:31:41" />
    <testcase classname="GlanceImages" id="4f471dc6-da09-4433-a098-c80ad4bb037a" name="list_images" time="2.66" timestamp="2020-04-28T00:31:49" />
    <testcase classname="GlanceImages" id="127625ca-48bb-4e27-8038-b8ea3236bab6" name="create_image_and_boot_instances" time="22.17" timestamp="2020-04-28T00:31:54" />
  </testsuite>
  <testsuite errors="0" failures="0" id="2fcd7206-0e34-4d94-9c22-e0e1878c42eb" skipped="0" tests="10" time="102.00" timestamp="2020-04-28T00:32:26">
    <testcase classname="CinderVolumes" id="20d5ea28-000e-4c30-a452-c757e26bb7ab" name="create_and_delete_snapshot" time="13.10" timestamp="2020-04-28T00:32:31" />
    <testcase classname="CinderVolumes" id="b490b9f5-ffe7-4875-8a95-56d3ec9a2381" name="create_and_delete_volume" time="8.14" timestamp="2020-04-28T00:32:45" />
    <testcase classname="CinderVolumes" id="88e4508f-38d2-4da7-b72b-a9f4cdc22659" name="create_and_delete_volume" time="10.95" timestamp="2020-04-28T00:32:55" />
    <testcase classname="CinderVolumes" id="fc1575cc-8f4d-4b66-83ad-de0dede2a1ec" name="create_and_delete_volume" time="8.06" timestamp="2020-04-28T00:33:07" />
    <testcase classname="CinderVolumes" id="ce39535b-459f-4d5b-962d-51ebdfd60b83" name="create_and_extend_volume" time="10.55" timestamp="2020-04-28T00:33:17" />
    <testcase classname="CinderVolumes" id="1c48b379-8e17-47f6-a588-31689eae8890" name="create_from_volume_and_delete_volume" time="13.37" timestamp="2020-04-28T00:33:29" />
    <testcase classname="CinderQos" id="443ee7a9-89e4-4e04-9d85-bc29be0b5a0d" name="create_and_list_qos" time="4.61" timestamp="2020-04-28T00:33:44" />
    <testcase classname="CinderQos" id="02a2ff35-9eb4-4b46-bf00-f1f19a98a938" name="create_and_set_qos" time="4.75" timestamp="2020-04-28T00:33:50" />
    <testcase classname="CinderVolumeTypes" id="ffabf548-8bbe-4c88-b36a-ee82ac7bf520" name="create_and_list_volume_types" time="4.75" timestamp="2020-04-28T00:33:56" />
    <testcase classname="CinderVolumeTypes" id="a2fe2ffe-05a8-4699-aed7-749cfb8baa8d" name="create_volume_type_and_encryption_type" time="4.89" timestamp="2020-04-28T00:34:02" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a7be3c4e-1f10-4953-9e58-0224f3931f82" skipped="0" tests="4" time="45.00" timestamp="2020-04-28T00:34:17">
    <testcase classname="HeatStacks" id="2a35eb4a-942d-43db-b579-d94df3afd9b1" name="create_update_delete_stack" time="10.84" timestamp="2020-04-28T00:34:23" />
    <testcase classname="HeatStacks" id="8f29c10a-b0a7-4fb1-8121-b844a5f1eea7" name="create_check_delete_stack" time="8.94" timestamp="2020-04-28T00:34:35" />
    <testcase classname="HeatStacks" id="b9d65b8c-4de6-4bf3-b0c4-3ebfa685a046" name="create_suspend_resume_delete_stack" time="10.78" timestamp="2020-04-28T00:34:45" />
    <testcase classname="HeatStacks" id="ee34742a-bafe-4d30-ae5c-da60fe514456" name="list_stacks_and_resources" time="3.61" timestamp="2020-04-28T00:34:57" />
  </testsuite>
  <testsuite errors="0" failures="0" id="b3c2fabd-49c8-480f-a424-23752a828918" skipped="0" tests="11" time="77.00" timestamp="2020-04-28T00:35:10">
    <testcase classname="KeystoneBasic" id="1c781438-cf6d-41ea-850e-67d711f21734" name="add_and_remove_user_role" time="5.24" timestamp="2020-04-28T00:35:13" />
    <testcase classname="KeystoneBasic" id="31c516bd-d047-46cf-aa40-34b3724fbfeb" name="create_add_and_list_user_roles" time="4.93" timestamp="2020-04-28T00:35:20" />
    <testcase classname="KeystoneBasic" id="1244f371-0a1d-4465-88f2-f3897894a6a1" name="create_and_list_tenants" time="5.36" timestamp="2020-04-28T00:35:26" />
    <testcase classname="KeystoneBasic" id="14895225-fe79-4b95-82fe-a265c6797dab" name="create_and_delete_role" time="3.89" timestamp="2020-04-28T00:35:32" />
    <testcase classname="KeystoneBasic" id="e1e6c8d1-576f-42d5-9f10-fa11835fef9b" name="create_and_delete_service" time="3.76" timestamp="2020-04-28T00:35:36" />
    <testcase classname="KeystoneBasic" id="3b0bdb67-ef3f-495f-a8c5-7db33b6059eb" name="get_entities" time="8.54" timestamp="2020-04-28T00:35:40" />
    <testcase classname="KeystoneBasic" id="79400df5-c9af-4abb-a3d1-032ff047ba12" name="create_update_and_delete_tenant" time="4.18" timestamp="2020-04-28T00:35:50" />
    <testcase classname="KeystoneBasic" id="9b3554b5-3bed-4ad8-bfa5-246818e88ce0" name="create_user" time="5.61" timestamp="2020-04-28T00:35:56" />
    <testcase classname="KeystoneBasic" id="56147d0e-62ea-434d-aa36-d16153726acf" name="create_tenant" time="5.27" timestamp="2020-04-28T00:36:03" />
    <testcase classname="KeystoneBasic" id="fed2a6fe-a9e6-4cdf-aae9-e5b8b2b8c754" name="create_and_list_users" time="5.18" timestamp="2020-04-28T00:36:09" />
    <testcase classname="KeystoneBasic" id="3d22a4fe-d2da-4f2c-8bfd-8a4f7a52900f" name="create_tenant_with_users" time="10.88" timestamp="2020-04-28T00:36:15" />
  </testsuite>
  <testsuite errors="0" failures="0" id="4aca2cce-5b0a-45a8-8f14-0806fc22a716" skipped="0" tests="11" time="129.00" timestamp="2020-04-28T00:36:36">
    <testcase classname="NeutronNetworks" id="9211d310-2e59-47c1-8609-d62a6ef6537a" name="create_and_delete_networks" time="7.19" timestamp="2020-04-28T00:36:39" />
    <testcase classname="NeutronNetworks" id="92fdf415-a191-4977-a53f-cc4bce277e61" name="create_and_delete_ports" time="9.98" timestamp="2020-04-28T00:36:47" />
    <testcase classname="NeutronNetworks" id="7b0ca53e-e364-45fd-8f64-78b96d5f7dc7" name="create_and_delete_routers" time="15.08" timestamp="2020-04-28T00:36:58" />
    <testcase classname="NeutronNetworks" id="c286af77-5edc-4102-8989-a8771cae9771" name="create_and_delete_subnets" time="10.46" timestamp="2020-04-28T00:37:14" />
    <testcase classname="NeutronNetworks" id="a3c96e45-2747-4bf8-b050-f24aaf60e340" name="create_and_list_networks" time="7.62" timestamp="2020-04-28T00:37:26" />
    <testcase classname="NeutronNetworks" id="f570a448-b6f4-4f39-b8ab-e667a72f2240" name="create_and_list_ports" time="11.36" timestamp="2020-04-28T00:37:34" />
    <testcase classname="NeutronNetworks" id="ba039294-d49f-41d4-ad4d-71d9c7617fd6" name="create_and_list_routers" time="18.50" timestamp="2020-04-28T00:37:46" />
    <testcase classname="NeutronNetworks" id="f868bb00-2d2d-4aeb-8b5c-44421a531d80" name="create_and_list_subnets" time="11.28" timestamp="2020-04-28T00:38:07" />
    <testcase classname="NeutronSecurityGroup" id="1e0ab5fd-c302-4f3b-88e4-53191865ad1b" name="create_and_delete_security_groups" time="5.64" timestamp="2020-04-28T00:38:19" />
    <testcase classname="NeutronSecurityGroup" id="be2e28e1-f6f3-43ca-b57a-17d9d9bbae33" name="create_and_delete_security_group_rule" time="5.17" timestamp="2020-04-28T00:38:25" />
    <testcase classname="NeutronNetworks" id="654f8b0f-f8a1-469a-b4df-1f013c10c1b8" name="set_and_clear_router_gateway" time="13.89" timestamp="2020-04-28T00:38:31" />
  </testsuite>
  <testsuite errors="0" failures="0" id="889ab976-3ab6-47ae-a5ce-1f3f52b6ce2b" skipped="0" tests="10" time="320.00" timestamp="2020-04-28T00:38:54">
    <testcase classname="NovaServers" id="d90b4b0a-a244-4e75-bd11-9ae8b03e7449" name="boot_and_live_migrate_server" time="26.67" timestamp="2020-04-28T00:39:03" />
    <testcase classname="NovaServers" id="b1c47458-ebce-4ba7-9816-75faa9d93d6e" name="boot_server_attach_created_volume_and_live_migrate" time="37.64" timestamp="2020-04-28T00:39:31" />
    <testcase classname="NovaServers" id="cac5525f-63cd-479b-98c5-f613ca0f9854" name="boot_server_from_volume_and_live_migrate" time="36.68" timestamp="2020-04-28T00:40:09" />
    <testcase classname="NovaKeypair" id="8418435b-cd1a-4f22-856c-ba9cc245dd11" name="boot_and_delete_server_with_keypair" time="26.88" timestamp="2020-04-28T00:40:48" />
    <testcase classname="NovaServers" id="d9723309-fefb-452c-801c-e0d01bf27015" name="boot_server_from_volume_and_delete" time="35.31" timestamp="2020-04-28T00:41:16" />
    <testcase classname="NovaServers" id="c277d9cd-1931-4bf5-9282-50f18e93bbc1" name="pause_and_unpause_server" time="32.52" timestamp="2020-04-28T00:41:52" />
    <testcase classname="NovaServers" id="50a22f3e-5963-4c8d-a403-fe3e55a6e022" name="boot_and_migrate_server" time="30.58" timestamp="2020-04-28T00:42:27" />
    <testcase classname="NovaServers" id="51d038aa-8ad0-457e-bdef-dc7c25c4cfd4" name="boot_server_and_list_interfaces" time="28.39" timestamp="2020-04-28T00:42:59" />
    <testcase classname="NovaServers" id="a9a8fafb-2083-454d-b3d2-3461e2f36bfd" name="boot_server_associate_and_dissociate_floating_ip" time="39.00" timestamp="2020-04-28T00:43:29" />
    <testcase classname="NovaServerGroups" id="2df79d32-73a6-4315-847e-2923aa38bb51" name="create_and_delete_server_group" time="3.34" timestamp="2020-04-28T00:44:09" />
  </testsuite>
  <testsuite errors="0" failures="0" id="5e5876c9-8eb3-4089-9c35-19454d542b5c" skipped="0" tests="4" time="20.00" timestamp="2020-04-28T00:44:23">
    <testcase classname="Quotas" id="9b6aba2e-b74f-4774-865c-27f49db37dbd" name="cinder_update_and_delete" time="3.53" timestamp="2020-04-28T00:44:26" />
    <testcase classname="Quotas" id="6f7238fe-5e2d-4614-85bc-b3e4fbf17816" name="cinder_update" time="2.94" timestamp="2020-04-28T00:44:30" />
    <testcase classname="Quotas" id="5247b001-c45c-445a-a9d3-4c5eb4add094" name="neutron_update" time="3.15" timestamp="2020-04-28T00:44:34" />
    <testcase classname="Quotas" id="ea3614c2-e660-41ea-ba93-d04a59e1133a" name="nova_update" time="3.29" timestamp="2020-04-28T00:44:39" />
  </testsuite>
  <testsuite errors="0" failures="0" id="a040e21a-8fa8-43f5-8290-fa092ac52764" skipped="0" tests="5" time="36.00" timestamp="2020-04-28T00:44:51">
    <testcase classname="SwiftObjects" id="f7a8cba5-7aa4-4d02-a365-09eb4ab0617e" name="create_container_and_object_then_list_objects" time="6.48" timestamp="2020-04-28T00:44:55" />
    <testcase classname="SwiftObjects" id="1daf972b-e5ff-432d-870f-7a3b0b64ac9b" name="list_objects_in_containers" time="4.61" timestamp="2020-04-28T00:45:03" />
    <testcase classname="SwiftObjects" id="e86cd791-d6c2-4cbd-be38-2862987a5d30" name="create_container_and_object_then_download_object" time="6.87" timestamp="2020-04-28T00:45:09" />
    <testcase classname="SwiftObjects" id="7f3feb0d-224e-4c3e-8d5e-1974d988fbf2" name="create_container_and_object_then_delete_all" time="3.87" timestamp="2020-04-28T00:45:17" />
    <testcase classname="SwiftObjects" id="e16e99d1-a6f1-4619-ba5c-d14ccba9a899" name="list_and_download_objects_in_containers" time="4.23" timestamp="2020-04-28T00:45:21" />
  </testsuite>
</testsuites>
